One version with its content
GET
/api/v1/workspaces/{workspace}/campaigns/{campaignId}/versions/{version}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1 \ --header 'Authorization: Bearer <token>'Permission: campaigns:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
campaignId
required
string format: uuid
version
required
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
abTest
object
bestTime
boolean
durationHours
required
integer format: int64
kind
required
string
metric
required
string
testPercent
required
Share of the audience in the test
integer format: int64
variants
required
Array<object>
object
html
string
key
required
Variant A is the campaign itself
string
mjml
string
preheader
string
sendTime
string
subject
string
winner
string
current
required
boolean
html
required
string
label
required
string
mjml
required
string
preheader
required
string
savedAt
required
string format: date-time
savedBy
required
string
sections
required
Array<string>
sizeBytes
required
integer format: int64
source
required
string
subject
required
string
version
required
integer format: int64
Example
{ "abTest": { "kind": "subject", "metric": "human_opens", "variants": [ { "key": "A" } ] }, "source": "create"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}